# Class CIM_AdapterActiveConnection
extends CIM_Dependency

Note: The use of the CIM_AdapterActiveConnection class has been deprecated, because NetworkAdapter is deprecated. Instead use the CIM_PortActiveConnection class. Deprecated description: The AdapterActiveConnection relationship indicates that a NetworkAdapter is using the referenced PhysicalConnector to output to the network. This relationship is important when the Adapter can choose to output from one of several Connectors. The Connectors can be associated with the NetworkAdapter in a Realizes relationship but this is not required. This association provides additional information (such as, 'in use for communication') different from Realizes.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_Dependency
|
+--CIM_AdapterActiveConnection

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Association | boolean | true
Deprecated | string | CIM_PortActiveConnection

Description

string

Note: The use of the CIM_AdapterActiveConnection class has been deprecated, because NetworkAdapter is deprecated. Instead use the CIM_PortActiveConnection class. Deprecated description: The AdapterActiveConnection relationship indicates that a NetworkAdapter is using the referenced PhysicalConnector to output to the network. This relationship is important when the Adapter can choose to output from one of several Connectors. The Connectors can be associated with the NetworkAdapter in a Realizes relationship but this is not required. This association provides additional information (such as, 'in use for communication') different from Realizes.

UMLPackagePath | string | CIM::Device::NetworkAdapter
Version | string | 2.10.0

## Class Properties

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
Antecedent | CIM_AdapterActiveConnection | CIM_PhysicalConnector
Dependent | CIM_AdapterActiveConnection | CIM_NetworkAdapter

## Class Methods